Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class DefaultMovie

    java.lang.Object
      org.monte.media.beans.AbstractBean
          org.monte.media.AbstractMovie
              org.monte.media.DefaultMovie

All Implemented Interfaces:
  java.io.Serializable, Movie

    public class DefaultMovie

extends AbstractMovie

`DefaultMovie`.

Version:
  1.0 2011-09-01 Created.
Author:
  Werner Randelshofer
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.monte.media.beans.AbstractBean
`propertySupport`

Fields inherited from interface org.monte.media.Movie
`IN_PROPERTY, OUT_PROPERTY, PLAYHEAD_PROPERTY`

Constructor Summary
`DefaultMovie()`

Method Summary
`Rational` | `getDuration()` Returns the total duration of the movie in seconds.
`Format` | `getFileFormat()`
`Format` | `getFormat(int track)`
`Rational` | `getInsertionPoint()` Returns the position of the insertion point in seconds.
`MovieReader` | `getReader()`
`Rational` | `getSelectionEnd()` Returns the position of the out point in seconds.
`Rational` | `getSelectionStart()` Returns the position of the in point in seconds.
`int` | `getTrackCount()`
`Rational` | `sampleToTime(int track, long sample)`
`void` | `setInsertionPoint(Rational newValue)` Sets the position of the insertion point in seconds.
`void` | `setReader(MovieReader reader)`
`void` | `setSelectionEnd(Rational newValue)` Sets the position of the out point in seconds.
`void` | `setSelectionStart(Rational newValue)` Sets the position of the in point in seconds.
`long` | `timeToSample(int track, Rational time)` Returns the frame number for the specified time in seconds.

Methods inherited from class org.monte.media.beans.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.monte.media.Movie
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### DefaultMovie

    public DefaultMovie()

Method Detail

### getReader

    public MovieReader getReader()

### setReader

    public void setReader(MovieReader reader)

### getDuration

    public Rational getDuration()

  Description copied from interface: `Movie`
  Returns the total duration of the movie in seconds.

### getInsertionPoint

    public Rational getInsertionPoint()

  Description copied from interface: `Movie`
  Returns the position of the insertion point in seconds. If a movie has a duration of n, then there are n+1 insertion points.

### setInsertionPoint

    public void setInsertionPoint(Rational newValue)

  Description copied from interface: `Movie`
  Sets the position of the insertion point in seconds.

### getSelectionStart

    public Rational getSelectionStart()

  Description copied from interface: `Movie`
  Returns the position of the in point in seconds.

### setSelectionStart

    public void setSelectionStart(Rational newValue)

  Description copied from interface: `Movie`
  Sets the position of the in point in seconds.

### getSelectionEnd

    public Rational getSelectionEnd()

  Description copied from interface: `Movie`
  Returns the position of the out point in seconds.

### setSelectionEnd

    public void setSelectionEnd(Rational newValue)

  Description copied from interface: `Movie`
  Sets the position of the out point in seconds.

### timeToSample

    public long timeToSample(int track,
                             Rational time)

  Description copied from interface: `Movie`
  Returns the frame number for the specified time in seconds.

### sampleToTime

    public Rational sampleToTime(int track,
                                 long sample)

### getTrackCount

    public int getTrackCount()

### getFormat

    public Format getFormat(int track)

### getFileFormat

    public Format getFileFormat()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD